<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jly.mapper.CheckStoreAmendMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jly.entity.CheckStoreAmend">
<!--        <id column="id" property="id" />-->
<!--        <result column="check_plan_id" property="checkPlanId" />-->
<!--        <result column="epc" property="epc" />-->
<!--        <result column="num" property="num" />-->
<!--        <result column="energy_name" property="energyName" />-->
<!--        <result column="unit" property="unit" />-->
<!--        <result column="codes" property="codes" />-->
<!--        <result column="store_num" property="storeNum" />-->
<!--        <result column="buy_num" property="buyNum" />-->
<!--        <result column="buy_price" property="buyPrice" />-->
<!--        <result column="use_total" property="useTotal" />-->
<!--        <result column="use_product" property="useProduct" />-->
<!--        <result column="use_material" property="useMaterial" />-->
<!--        <result column="use_no_product" property="useNoProduct" />-->
<!--        <result column="use_for_trans" property="useForTrans" />-->
<!--        <result column="store_end" property="storeEnd" />-->
<!--        <result column="modulus" property="modulus" />-->
<!--        <result column="modulus_ref" property="modulusRef" />-->
<!--        <result column="userid" property="userid" />-->
<!--        <result column="update_time" property="updateTime" />-->
<!--        <result column="del_flag" property="delFlag" />-->
<!--        <result column="dept_id" property="deptId" />-->
    </resultMap>
    <delete id="deleteByCheckPlanIdAndEpc">
        delete from check_store_amend where check_plan_id = #{checkPlanId} and epc = #{epc}
    </delete>


</mapper>
